@charset "UTF-8";
.hide {
  display: none !important;
}
.fadeout {
  opacity: 0 !important;
}
body {
  -webkit-text-size-adjust: 100%;
}
body > .version {
  font-size: 16px;
  font-family: Georgia, serif;
  text-align: right;
}
#loaddata {
  display: none;
}
input,
textarea,
button,
select {
  font-size: 100%;
}
input,
textarea {
  font-family: Menlo, Consolas, Courier, monospace;
  border: solid 1px #666;
  border-radius: 3px;
  box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
textarea {
  box-sizing: border-box;
  max-width: 100%;
}
button,
input[type="submit"],
input[type="reset"],
input[type="button"] {
  font-family: Verdana, sans-serif;
  padding: 1px 1em;
  border: solid 1px;
  border-radius: 4px;
  background: #ddd;
  color: #000;
  -webkit-appearance: none;
}
select {
  font-family: Verdana, sans-serif;
  padding: 1px 0.5em;
  border: solid 1px;
  border-radius: 4px;
  background: #ddd;
  color: #000;
}
input::placeholder {
  color: #999;
  opacity: 1;
}
@-moz-keyframes blink {
  100% {
    opacity: 0.2;
  }
}
@-webkit-keyframes blink {
  100% {
    opacity: 0.2;
  }
}
@-o-keyframes blink {
  100% {
    opacity: 0.2;
  }
}
@keyframes blink {
  100% {
    opacity: 0.2;
  }
}
@-moz-keyframes blink-img {
  100% {
    opacity: 0.7;
  }
}
@-webkit-keyframes blink-img {
  100% {
    opacity: 0.7;
  }
}
@-o-keyframes blink-img {
  100% {
    opacity: 0.7;
  }
}
@keyframes blink-img {
  100% {
    opacity: 0.7;
  }
}
#navi {
  font-size: 12px;
  font-family: Verdana, sans-serif;
  margin: 0;
  padding: 0;
  text-align: right;
}
#navi a {
  color: inherit;
  text-decoration: none;
}
#navi li {
  display: inline-block;
}
#navi li + li:before {
  content: ' | ';
}
body.title {
  color: #fff;
  background: #000;
  margin: 0;
}
body.title #title {
  display: block;
}
body.title #navi {
  width: 800px;
  margin: 0 auto;
}
body.title > .version {
  display: none;
}
#title {
  display: none;
  margin: 40px auto;
  width: 640px;
  padding: 4px;
  border-radius: 5px;
  background: #fff;
  color: #000;
  text-align: center;
  font-family: Century, serif;
}
#title h1 {
  margin: 0px;
  height: 150px;
}
#title h1 img {
  width: 600px;
}
#title .version {
  font-family: Georgia, serif;
  font-size: 24px;
}
#title .loading {
  margin: 8px auto;
  color: #666;
  font-family: Verdana, sans-serif;
  font-size: 16px;
  animation: blink 2s infinite;
}
#title .start {
  margin: 8px auto;
  font-family: Century, serif;
  width: 120px;
  padding: 4px;
  border-radius: 4px;
  font-size: 16px;
  color: #fff;
  background: #00f;
  cursor: pointer;
}
#title .start:hover,
#title .start:focus {
  background: #ccc;
  outline: none;
}
body.board {
  width: 800px;
  margin: 0 auto;
  background: #000;
  color: #fff;
}
body.board #board {
  display: block;
}
body.analyzer #board .analyzer {
  display: block;
}
#space {
  display: none;
  background: #666;
}
#board {
  display: none;
  position: relative;
}
#board .board {
  width: 800px;
  height: 680px;
}
#board .controller {
  width: auto;
  height: 40px;
}
#board .analyzer {
  display: none;
  position: absolute;
  top: 0;
  transform: translate(50px, 100px);
  width: 700px;
  height: 300px;
}
@media screen and (min-width: 820px) {
  body.board #board .controller {
    position: absolute;
    top: 0;
    transform: translate(80px, 100px);
    width: 160px;
    height: 100px;
  }
  body.analyzer {
    width: 1400px;
  }
  body.analyzer #board .analyzer {
    position: relative;
    transform: none;
    width: 590px;
    height: 680px;
  }
  body.analyzer #board .board {
    float: left;
  }
  body.analyzer #board .analyzer {
    float: right;
  }
}
@media screen and (min-height: 1000px) {
  body.analyzer #board .analyzer {
    position: relative;
    transform: none;
    width: auto;
    height: 300px;
  }
}
@media screen and (max-height: 680px) {
  body.board {
    height: 100dvh;
  }
  body.board #navi,
  body.board > .version {
    display: none;
  }
  body.board #space {
    display: block;
    height: 100px;
  }
}
@media screen and (max-height: 450px) {
  body.board #board .board {
    height: 450px;
  }
  body.board #board .controller {
    position: absolute;
    top: 0;
    right: 0;
    width: 40px;
    height: 450px;
  }
  body.board #board .analyzer {
    transform: translate(30px, 30px);
  }
}
body.demo {
  color: #fff;
  background: #036;
  margin: 0 10px 20px;
  font-size: 12px;
  font-family: Verdana, sans-serif;
}
body.demo h1 {
  display: none;
}
body.demo .shan .pai {
  display: inline-block;
  height: 40px;
  width: 30px;
}
body.demo .shoupai {
  display: table;
  width: auto;
  height: 84px;
}
body.demo .shoupai .bingpai {
  line-height: 1;
  margin-top: 28px;
  float: left;
}
body.demo .shoupai .bingpai .pai {
  display: inline-block;
  height: 56px;
  width: 42px;
}
body.demo .shoupai .bingpai .pai[role="button"] {
  cursor: pointer;
}
body.demo .shoupai .bingpai .pai[role="button"]:focus {
  transform: translate(0, -7px);
  outline: none;
}
body.demo .shoupai .bingpai .pai.zimo {
  margin-left: 4.2px;
}
body.demo .shoupai .bingpai .pai.deleted {
  transition: width 0.3s ease-out 0.1s;
  opacity: 0;
  width: 0;
}
body.demo .shoupai .fulou {
  line-height: 1;
  margin-top: 28px;
  float: right;
}
body.demo .shoupai .fulou .mianzi {
  margin-left: 4.2px;
  float: right;
  display: inline-block;
}
body.demo .shoupai .fulou .mianzi .pai {
  display: inline-block;
  height: 56px;
  width: 42px;
}
body.demo .shoupai .fulou .mianzi .rotate {
  display: inline-block;
  white-space: nowrap;
  text-align: left;
  width: 56px;
  transform-origin: 0% 0%;
  transform: rotate(270deg) translate(-56px, 0px);
}
body.demo .shoupai .fulou .mianzi:last-child {
  margin-left: 8.4px;
}
body.demo .he {
  width: 600px;
}
body.demo .he >.lizhi {
  line-height: 0;
  width: 180px;
  height: 11.428571428571429px;
  text-align: left;
}
body.demo .he >.lizhi .chouma {
  width: 108px;
}
body.demo .he >.dapai {
  line-height: 0;
  height: 40px;
}
body.demo .he >.dapai .pai {
  display: inline-block;
  height: 40px;
  width: 30px;
}
body.demo .he >.dapai .pai.dapai {
  transform: translate(2.222222222222222px, 1.666666666666667px);
}
body.demo .he >.dapai .pai.zimo {
  opacity: 0.8;
}
body.demo .he >.dapai .pai.zimo.dapai {
  opacity: 0.6;
}
body.demo .he >.dapai .pai.fulou {
  opacity: 0.4;
}
body.demo .he >.dapai .lizhi {
  width: 40px;
  display: inline-block;
  text-align: left;
  transform: rotate(270deg);
}
body.demo .he >.dapai .lizhi .pai.dapai {
  transform: translate(-2.222222222222222px, 1.666666666666667px);
}
body.demo .he >.dapai .break {
  display: inline-block;
  width: 3px;
}
body.demo .status {
  margin: 1em auto;
}
body.demo .status a {
  color: inherit;
}
body.demo .paili .pai {
  display: inline-block;
  height: 32px;
  width: 24px;
}
body.demo .paili img {
  vertical-align: middle;
}
body.demo .dialog {
  display: table;
  transition: opacity 0.4s ease-in-out;
  line-height: 1;
}
body.demo .dialog .shan .baopai {
  float: left;
}
body.demo .dialog .shan .fubaopai {
  float: right;
}
body.demo .dialog .shoupai {
  clear: both;
}
body.demo .dialog .hupai {
  margin-top: 10px;
  min-width: 280px;
  font-size: 24px;
  font-family: "HGP行書体", /*"Weibei SC", "YuKyokasho",*/ STKaiti, serif;
}
body.demo .dialog .hupai .fanshu,
body.demo .dialog .hupai .defen {
  text-align: right;
}
body.demo form div {
  margin: 2px 0;
}
body.demo form span {
  margin-right: 1em;
}
body.demo form input[name="paistr"] {
  width: 18em;
}
body.demo form input[name="baopai"],
body.demo form input[name="fubaopai"] {
  width: 2em;
  text-align: center;
}
body.font dl {
  margin-left: 40px;
  font-size: 18px;
}
body.font dt {
  font-family: Menlo, Consolas, Courier, monospace;
}
body.font .title {
  font-family: "HGP行書体", /*"Weibei SC", "YuKyokasho",*/ STKaiti, serif;
  font-size: 28px;
}
body.font .text {
  font-family: Century, serif;
  font-size: 24px;
}
body.font .menu {
  font-family: Verdana, sans-serif;
}
body.font .defen {
  font-family: Georgia, serif;
}
body.font .fixed {
  font-family: Menlo, Consolas, Courier, monospace;
}
body.pai .pai {
  display: inline-block;
  height: 44px;
  width: 33px;
}
body.mianzi .shoupai {
  float: left;
  margin: 10px;
  display: table;
  width: auto;
  height: 72px;
}
body.mianzi .shoupai .bingpai {
  line-height: 1;
  margin-top: 24px;
  float: left;
}
body.mianzi .shoupai .bingpai .pai {
  display: inline-block;
  height: 48px;
  width: 36px;
}
body.mianzi .shoupai .bingpai .pai[role="button"] {
  cursor: pointer;
}
body.mianzi .shoupai .bingpai .pai[role="button"]:focus {
  transform: translate(0, -6px);
  outline: none;
}
body.mianzi .shoupai .bingpai .pai.zimo {
  margin-left: 3.6px;
}
body.mianzi .shoupai .bingpai .pai.deleted {
  transition: width 0.3s ease-out 0.1s;
  opacity: 0;
  width: 0;
}
body.mianzi .shoupai .fulou {
  line-height: 1;
  margin-top: 24px;
  float: right;
}
body.mianzi .shoupai .fulou .mianzi {
  margin-left: 3.6px;
  float: right;
  display: inline-block;
}
body.mianzi .shoupai .fulou .mianzi .pai {
  display: inline-block;
  height: 48px;
  width: 36px;
}
body.mianzi .shoupai .fulou .mianzi .rotate {
  display: inline-block;
  white-space: nowrap;
  text-align: left;
  width: 48px;
  transform-origin: 0% 0%;
  transform: rotate(270deg) translate(-48px, 0px);
}
body.mianzi .shoupai .fulou .mianzi:last-child {
  margin-left: 7.2px;
}
body.shoupai .shoupai {
  margin-top: 1em;
  background: #036;
  padding: 4px;
}
body.shoupai .shoupai:nth-child(1) {
  display: table;
  width: auto;
  height: 52px;
  min-width: 382px;
}
body.shoupai .shoupai:nth-child(1) .bingpai {
  line-height: 1;
  margin-top: 16px;
  float: left;
}
body.shoupai .shoupai:nth-child(1) .bingpai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.shoupai .shoupai:nth-child(1) .bingpai .pai[role="button"] {
  cursor: pointer;
}
body.shoupai .shoupai:nth-child(1) .bingpai .pai[role="button"]:focus {
  transform: translate(0, -4.5px);
  outline: none;
}
body.shoupai .shoupai:nth-child(1) .bingpai .pai.zimo {
  margin-left: 2.7px;
}
body.shoupai .shoupai:nth-child(1) .bingpai .pai.deleted {
  transition: width 0.3s ease-out 0.1s;
  opacity: 0;
  width: 0;
}
body.shoupai .shoupai:nth-child(1) .fulou {
  line-height: 1;
  margin-top: 16px;
  float: right;
}
body.shoupai .shoupai:nth-child(1) .fulou .mianzi {
  margin-left: 2.7px;
  float: right;
  display: inline-block;
}
body.shoupai .shoupai:nth-child(1) .fulou .mianzi .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.shoupai .shoupai:nth-child(1) .fulou .mianzi .rotate {
  display: inline-block;
  white-space: nowrap;
  text-align: left;
  width: 36px;
  transform-origin: 0% 0%;
  transform: rotate(270deg) translate(-36px, 0px);
}
body.shoupai .shoupai:nth-child(1) .fulou .mianzi:last-child {
  margin-left: 5.4px;
}
body.shoupai .shoupai:nth-child(2) {
  display: table;
  width: 420px;
  height: 42px;
}
body.shoupai .shoupai:nth-child(2) .bingpai {
  line-height: 1;
  margin-top: 6px;
  float: left;
}
body.shoupai .shoupai:nth-child(2) .bingpai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.shoupai .shoupai:nth-child(2) .bingpai .pai[role="button"] {
  cursor: pointer;
}
body.shoupai .shoupai:nth-child(2) .bingpai .pai[role="button"]:focus {
  transform: translate(0, -4.5px);
  outline: none;
}
body.shoupai .shoupai:nth-child(2) .bingpai .pai.zimo {
  margin-left: 2.7px;
}
body.shoupai .shoupai:nth-child(2) .bingpai .pai.deleted {
  transition: width 0.3s ease-out 0.1s;
  opacity: 0;
  width: 0;
}
body.shoupai .shoupai:nth-child(2) .fulou {
  line-height: 1;
  margin-top: 14px;
  float: right;
}
body.shoupai .shoupai:nth-child(2) .fulou .mianzi {
  margin-left: 2.7px;
  float: right;
  display: inline-block;
}
body.shoupai .shoupai:nth-child(2) .fulou .mianzi .pai {
  display: inline-block;
  height: 28px;
  width: 21px;
}
body.shoupai .shoupai:nth-child(2) .fulou .mianzi .rotate {
  display: inline-block;
  white-space: nowrap;
  text-align: left;
  width: 28px;
  transform-origin: 0% 0%;
  transform: rotate(270deg) translate(-28px, 0px);
}
body.shoupai .shoupai:nth-child(2) .fulou .mianzi:last-child {
  margin-left: 5.4px;
}
body.shoupai .shoupai:nth-child(3) {
  display: table;
  width: 382px;
  height: 80px;
}
body.shoupai .shoupai:nth-child(3) .bingpai {
  line-height: 1;
  margin-top: 0;
  float: none;
}
body.shoupai .shoupai:nth-child(3) .bingpai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.shoupai .shoupai:nth-child(3) .bingpai .pai[role="button"] {
  cursor: pointer;
}
body.shoupai .shoupai:nth-child(3) .bingpai .pai[role="button"]:focus {
  transform: translate(0, -4.5px);
  outline: none;
}
body.shoupai .shoupai:nth-child(3) .bingpai .pai.zimo {
  margin-left: 2.7px;
}
body.shoupai .shoupai:nth-child(3) .bingpai .pai.deleted {
  transition: width 0.3s ease-out 0.1s;
  opacity: 0;
  width: 0;
}
body.shoupai .shoupai:nth-child(3) .fulou {
  line-height: 1;
  margin-top: 16px;
  float: none;
}
body.shoupai .shoupai:nth-child(3) .fulou .mianzi {
  margin-left: 2.7px;
  float: right;
  display: inline-block;
}
body.shoupai .shoupai:nth-child(3) .fulou .mianzi .pai {
  display: inline-block;
  height: 28px;
  width: 21px;
}
body.shoupai .shoupai:nth-child(3) .fulou .mianzi .rotate {
  display: inline-block;
  white-space: nowrap;
  text-align: left;
  width: 28px;
  transform-origin: 0% 0%;
  transform: rotate(270deg) translate(-28px, 0px);
}
body.shoupai .shoupai:nth-child(3) .fulou .mianzi:last-child {
  margin-left: 5.4px;
}
body.shan .shan {
  font-size: 12px;
}
body.shan .shan .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.shan .shan .baopai,
body.shan .shan .fubaopai {
  display: inline-block;
  margin-right: 1em;
}
body.shan .zimo {
  line-height: 0;
}
body.shan .zimo .pai {
  display: inline-block;
  height: 32px;
  width: 24px;
}
body.he .he {
  background: #036;
  padding: 4px;
  margin-bottom: 1em;
}
body.he .he:nth-child(1) {
  width: 610px;
}
body.he .he:nth-child(1) >.lizhi {
  line-height: 0;
  width: 162px;
  height: 10.285714285714286px;
  text-align: left;
}
body.he .he:nth-child(1) >.lizhi .chouma {
  width: 97.2px;
}
body.he .he:nth-child(1) >.dapai {
  line-height: 0;
  height: 36px;
}
body.he .he:nth-child(1) >.dapai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.he .he:nth-child(1) >.dapai .pai.dapai {
  transform: translate(2px, 1.5px);
}
body.he .he:nth-child(1) >.dapai .pai.zimo {
  opacity: 0.8;
}
body.he .he:nth-child(1) >.dapai .pai.zimo.dapai {
  opacity: 0.6;
}
body.he .he:nth-child(1) >.dapai .pai.fulou {
  opacity: 0.4;
}
body.he .he:nth-child(1) >.dapai .lizhi {
  width: 36px;
  display: inline-block;
  text-align: left;
  transform: rotate(270deg);
}
body.he .he:nth-child(1) >.dapai .lizhi .pai.dapai {
  transform: translate(-2px, 1.5px);
}
body.he .he:nth-child(1) >.dapai .break {
  display: inline-block;
  width: 2.7px;
}
body.he .he:nth-child(2) {
  width: 270px;
}
body.he .he:nth-child(2) >.lizhi {
  line-height: 0;
  width: 162px;
  height: 10.285714285714286px;
  text-align: center;
}
body.he .he:nth-child(2) >.lizhi .chouma {
  width: 97.2px;
}
body.he .he:nth-child(2) >.dapai {
  line-height: 0;
  height: 108px;
}
body.he .he:nth-child(2) >.dapai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.he .he:nth-child(2) >.dapai .pai.dapai {
  transform: translate(6px, 4.5px);
}
body.he .he:nth-child(2) >.dapai .pai.zimo {
  opacity: 0.8;
}
body.he .he:nth-child(2) >.dapai .pai.zimo.dapai {
  opacity: 0.6;
}
body.he .he:nth-child(2) >.dapai .pai.fulou {
  opacity: 0.4;
}
body.he .he:nth-child(2) >.dapai .lizhi {
  width: 36px;
  display: inline-block;
  text-align: left;
  transform: rotate(270deg);
}
body.he .he:nth-child(2) >.dapai .lizhi .pai.dapai {
  transform: translate(-6px, 4.5px);
}
body.he .he:nth-child(2) >.dapai .break {
  display: block;
  width: 2.7px;
}
body.he .he:nth-child(3) {
  width: 270px;
}
body.he .he:nth-child(3) >.lizhi {
  line-height: 0;
  width: 162px;
  height: 10.285714285714286px;
  text-align: center;
}
body.he .he:nth-child(3) >.lizhi .chouma {
  width: 97.2px;
}
body.he .he:nth-child(3) >.dapai {
  line-height: 0;
  height: 108px;
}
body.he .he:nth-child(3) >.dapai .pai {
  display: inline-block;
  height: 36px;
  width: 27px;
}
body.he .he:nth-child(3) >.dapai .pai.dapai {
  transform: translate(6px, 4.5px);
}
body.he .he:nth-child(3) >.dapai .pai.zimo {
  opacity: 0.8;
}
body.he .he:nth-child(3) >.dapai .pai.zimo.dapai {
  opacity: 0.6;
}
body.he .he:nth-child(3) >.dapai .pai.fulou {
  opacity: 0.4;
}
body.he .he:nth-child(3) >.dapai .lizhi {
  width: 36px;
  display: inline-block;
  text-align: left;
  transform: rotate(270deg);
}
body.he .he:nth-child(3) >.dapai .lizhi .pai.dapai {
  transform: translate(-6px, 4.5px);
}
body.he .he:nth-child(3) >.dapai .break {
  display: block;
  width: 2.7px;
}
body.title #demo {
  display: none;
}
#demo #loaddata {
  display: block;
}
#demo #loaddata .pai {
  display: inline-block;
  height: 56px;
  width: 42px;
}
#demo > img {
  width: 600px;
}
